package javax.management.modelmbean;

import javax.management.ListenerNotFoundException;
import javax.management.NotificationListener;
import javax.management.Attribute;
import javax.management.AttributeChangeNotification;
import javax.management.RuntimeOperationsException;
import javax.management.MBeanException;
import javax.management.Notification;
import javax.management.NotificationBroadcaster;

public interface ModelMBeanNotificationBroadcaster extends NotificationBroadcaster
{
    public abstract void sendNotification(Notification p0) throws MBeanException, RuntimeOperationsException;
    
    public abstract void sendNotification(String p0) throws MBeanException, RuntimeOperationsException;
    
    public abstract void sendAttributeChangeNotification(AttributeChangeNotification p0) throws MBeanException, RuntimeOperationsException;
    
    public abstract void sendAttributeChangeNotification(Attribute p0, Attribute p1) throws MBeanException, RuntimeOperationsException;
    
    public abstract void addAttributeChangeNotificationListener(NotificationListener p0, String p1, Object p2) throws MBeanException, RuntimeOperationsException, IllegalArgumentException;
    
    public abstract void removeAttributeChangeNotificationListener(NotificationListener p0, String p1) throws MBeanException, RuntimeOperationsException, ListenerNotFoundException;
}
